Groovy 1.7.0

## groovy.servlet
Class ServletBinding.InvalidOutputStream

    java.lang.Object
      java.io.OutputStream
          javax.servlet.ServletOutputStream
              groovy.servlet.ServletBinding.InvalidOutputStream

    class ServletBinding.InvalidOutputStream
    extends ServletOutputStream

A OutputStream dummy that will throw a GroovyBugError for any write method call to it.

author:
  Jochen Theodorou

Constructor Summary
`ServletBinding.InvalidOutputStream()`

Method Summary
`void` | `write(int b)` Will always throw a GroovyBugError

Methods inherited from class ServletOutputStream
println, println, println, println, println, println, println, println, print, print, print, print, print, print, print, write, write, write, close, flush, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class OutputStream
write, write, write, close, flush, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ServletBinding.InvalidOutputStream

    ServletBinding.InvalidOutputStream()

Method Detail

### write

    public void write(int b)

  Will always throw a GroovyBugError
  see:
    OutputStream#write

Copyright © 2003-2009 The Codehaus. All rights reserved.